%{?nodejs_find_provides_and_requires}

Name:           nodejs-normalize-package-data
Version:        2.3.5
Release:        5%{?dist}
Summary:        Normalizes npm/package.json metadata
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

License:        BSD
URL:            https://github.com/meryn/normalize-package-data
Source0:        https://registry.npmjs.org/normalize-package-data/-/normalize-package-data-%{version}.tgz

BuildRequires:  nodejs-packaging

#for tests
BuildRequires:  npm(async)
BuildRequires:  npm(underscore)
BuildRequires:  npm(semver)
BuildRequires:  npm(github-url-from-git)
BuildRequires:  npm(hosted-git-info)
BuildRequires:  npm(is-builtin-module)
BuildRequires:  npm(tap)
BuildRequires:  npm(validate-npm-package-license)

%description
normalize-package-data exports a function that normalizes package metadata. This
data is typically found in a package.json file, but in principle could come from
any source - for example the npm registry.

normalize-package-data is used by read-package-json to normalize the data it
reads from a package.json file. In turn, read-package-json is used by npm and
various npm-related tools.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/normalize-package-data
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/normalize-package-data

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%tap test/*.js || :

%files
%{nodejs_sitelib}/normalize-package-data
%doc README.md AUTHORS
%license LICENSE

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Feb 07 2016 Piotr Popieluch <piotr1212@gmail.com> - 2.3.5-3
- cleanup spec

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jared Smith <jsmith@fedoraproject.org> - 2.3.5-1
- Update to upstream 2.3.5 release

* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 2.3.4-1
- Update to upstream 2.3.4 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 30 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.1-1
- new upstream release 0.2.1

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.0-1
- new upstream release 0.2.0
- temporarily ignore test results to make semver update easier

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.6-2
- restrict to compatible arches

* Sun Jun 02 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.6-1
- initial package
